Bug 623954 - First line of screen remains black except for a few pixels
First line of screen remains black except for a few pixels
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-13 05:18 EDT by Holger Arnold
Modified: 2010-09-02 06:10 EDT (History)
9 users (show)

See Also:
Fixed In Version: 2.6.34.6-47
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-02 06:10:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Holger Arnold 2010-08-13 05:18:45 EDT
Description of problem:

The first line of the screen remains black except for the two rightmost pixels of the left half of the screen and the two rightmost pixels of the right half of the screen.  

The effect occurs when using X and during the graphical boot, so this is probably a bug in the radeon kernel driver.  Although this might not be a severe problem on its own, it signals that something goes wrong in the kernel radeon driver when adressing the framebuffer.

Hardware: IBM Thinkpad T41p with ATI Mobility FireGL T2 graphics card (RV350 chipset, PCI ID: 1002:4e54, rev 80).

Version-Release number of selected component (if applicable):

kernel-2.6.33.6-147.2.4.fc13.i686 (kernel radeon driver used)

Steps to Reproduce:
1. Get a T41p.
2. Install Fedora 13 (or openSUSE 11.3 or Ubuntu 10.04).
3. Watch the screen.

Additional info:

This is not a hardware problem with my machine.  The problem occurs with Fedora 13, openSUSE 11.3, and Ubuntu 10.04, but not with the previous releases of these distributions.
Comment 1 Holger Arnold 2010-08-29 10:30:11 EDT
The 4 pixels in the first line that do not remain black seem to be mirroring certain pixels in the second line of the screen.
Comment 2 Holger Arnold 2010-09-01 15:44:08 EDT
The problem does no longer occur when using the latest kernel in F13 (2.6.34.6-47.fc13.i686).

Note You need to log in before you can comment on or make changes to this bug.